[Legacy] PSIsafe 11 System Requirements

 

Branding_PSIsafe_Text_Color.png

 

Note that the minimum system requirements will guarantee functionality, but not optimum performance nor suitability for the required workload. The recommended system specifications represent the environment for which the PSIsafe application, on-premise or cloud, and PSIsafe Web was intended to run. This does not exclude newer platforms, hardware, or system architecture unless otherwise noted.

If system specifications fall below the minimum requirements, the administrator may have to upgrade the system's hardware and/or software before installing and configuring PSIsafe or PSIsafe Web. Having a system that is below specifications does not necessarily imply that the application will not work; however, PSIGEN cannot support a system with hardware or software that is below the minimum requirements. Please contact the Support Team for more details.

NOTE: PSIsafe manages data in its native format and includes software viewers for several different file formats; for full-editing capability, clients need to have the corresponding application software installed on the client system.

 

Currently Supported Operating Systems

Use the chart below to see our currently support operating systems for Windows Server and Windows Professional and Enterprise editions.

Use the chart below to reference our Active* and Deprecated** Operating systems

Active Operating Systems Deprecated Operating Systems
Windows Server 2012 - 2019 all editions Windows Server 2008 R2 and earlier
Windows 10 (32 bit and 64 bit) all editions Windows 7 (32 bit and 64 bit) all editions and earlier

PSIGEN Support will still assist you with any questions you have if you are running a deprecated version of Windows that is no longer supported. However, in order to upgrade to our latest General Available(GA) build of PSIsafe, PSIcapture, or any other sub-module you must be running an Active Operating System listed above.

*Currently supported operating systems by PSIGEN Software, Inc.

** These operating systems will no longer support our latest edition General Available(GA) builds. All customers running our products on these Operating Systems do so at their own risk. PSIGEN Software, Inc will not deliver any new builds or patches for these Operating Systems.

 

PSIsafe Client Requirements

   Component

 

    Recommended

 

   Operating System       
   Windows 10 (all 32 or 64-bit)*
   RAM    4GB or more
   HDD

   1GB Free Space or more

   Video    1280x1024 or Greater
   Framework

   Microsoft .NET Framework Version 4.6.1 or Later

   & Microsoft .NET Framework version 3.5 (for select functions)

    LAN/WAN Connectivity Recommendations

 

   LAN speeds of 100 MB minimum with Gigabyte connection to the server

   WAN connectivity of 512 KB minimum upload and download

   Secure connection with firewall/VPN

*Must have connection to PSIsafe Server via LAN, WAN, VPN, or Internet.

**To better ensure the safety of our customers and meet with increasing demands for secure platforms, PSIGEN has decided to end support for Server 2008 operating systems and Windows 7 due to the security issues inherent in these platforms.

 

PSIsafe Server Requirements

   Component

 

   Requirement

 

   Operating System

   Windows Server 2012 R2 - Windows Server 2019*
   SQL Server System    Microsoft SQL Server 2012 SP3 or later, SQL Server 2012 SP3 Express or later.     
   HDD    RAID 5 or RAID 10 (recommended)
   Framework

   Microsoft .NET Framework Version 4.6 or Later

   & Microsoft .NET Framework version 3.5 (for select functions)

*To better ensure the safety of our customers and meet with increasing demands for secure platforms, PSIGEN has decided to end support for Server 2008 operating systems and Windows 7 due to the security issues inherent in these platforms.

**If using a VM, Virtual Machine recommendation is to have SQL and SAFE server on different VM, PSIsafe should not be installed on a Microsoft Domain Controller.


 

PSIsafe Web Requirements

   Component

 

   Requirement

 

   Operating System           

   Windows 10 (all 32 or 64-bit)
   RAM    3GB or more
   HDD    1GB Free Space or more
   Video    1280x1024 or Greater
   Framework    Microsoft .NET Framework Version 4.6 or Later
   Internet Browser

   Microsoft Internet Explorer 11 or later, Mozilla Firefox 50 or later, Apple Safari 10.0 or later, Google Chrome 50 or later.           

*Must have connection to PSIsafe Server via LAN, WAN, VPN, or Internet. 

**To better ensure the safety of our customers and meet with increasing demands for secure platforms, PSIGEN has decided to end support for Server 2008 operating systems and Windows 7 due to the security issues inherent in these platforms.

 

PSIsafe Web Server Requirements

   Component

 

   Requirement

 

   Server Operating System  

   Microsoft Windows Server 2012 R2 or later
   PSIsafe    Version 9.0 or later
   Framework    Microsoft .NET Framework Version 4.6 or Later   
   Security    SSL Certificate

 *To better ensure the safety of our customers and meet with increasing demands for secure platforms, PSIGEN has decided to end support for Server 2008 operating systems and Windows 7 due to the security issues inherent in these platforms.

PSIsafe 12 System Requirements

Keywords: PSIsafe System Requirement, PSIsafe System Specs, PSIsafe Specifications

Was this article helpful?
0 out of 0 found this helpful

Comments

0 comments

Article is closed for comments.